package com.bocloud.ims.interfaces.resource.fusionsphere;

import com.bocloud.cmp.params.fusionsphere.SwitcherOperationParams;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.Switcher;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSphereSwitchService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/25 14:28
 */
public interface FusionSphereSwitcherService {

    BocloudResult<GridBean<Switcher>> list(Pager pager, RequestContext context);

    BocloudResult<Switcher> detail(Long id, RequestContext context);

    BocloudResult<Void> create(Switcher entityParams, RequestContext context);

    BocloudResult<Void> modify(Switcher modifyParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult<Void> operations(SwitcherOperationParams params, RequestContext context);

    BocloudResult listVlan(Pager pager, RequestContext context);

    BocloudResult listUplink(Pager pager, RequestContext context);
}